//-----------------------------------------------------------------------------
// jondahli
//
// ConvoEntry.java
//
// A single message in a convo thread
//
// (c) 2011 Brandon Valosek
//-----------------------------------------------------------------------------

package com.bvalosek.jondahli.core;

/** class containing a single convo entry (message) */
public class ConvoEntry {
   /** ctor with message body */
   public ConvoEntry (String msg, int origin) {
      mContent = msg;
      mOrigin = origin;
   }
   
   /** ctor with message body + other shit */
   public ConvoEntry (String msg, int origin, Phrase p) {
      mContent = msg;
      mOrigin = origin;
      mPhrase = p;
   }

   /** what was said */
   public String mContent = "";

   /* from whom 0=human 1=jon */
   public int mOrigin = 0;

   // pointer to the phrase
   public Phrase mPhrase = null;
}


