// HOme activity


package com.bvalosek.jondahli.ui;

// my stuff
import com.bvalosek.jondahli.JonDahliApp;
import com.bvalosek.jondahli.R;

// imports
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.content.Intent;

public class HomeActivity extends Activity
{
   /* app context to deal with state and other global shit */
   private JonDahliApp  mApp = null;
   
   /** Called when the activity is first created. */
   @Override
   public void onCreate(Bundle savedInstanceState) {
      super.onCreate(savedInstanceState);

      // inflate UI from XML
      setContentView(R.layout.home_layout);

      // get app context
      mApp = (JonDahliApp)getApplicationContext ();
   }

   /** when the user presses the Chat With Jon button */
   public void onClickChat (View v) {
      // create a new intent to display the about activity
      Intent i = new Intent ();
      i.setClassName ("com.bvalosek.jondahli",
         "com.bvalosek.jondahli.ui.ChatActivity");
      startActivity (i);
   }

   /** when the users presses the about button */
   public void onClickAbout (View v) {
      // create a new intent to display the about activity
      Intent i = new Intent ();
      i.setClassName ("com.bvalosek.jondahli",
         "com.bvalosek.jondahli.ui.AboutActivity");
      startActivity (i);
   }

   public void onClickLoadDefault (View v) {
      // load default knowldege
      mApp.loadDefaults();

   }

}
